Subject: bug#63104: closed (Re: bug#63104: [PATCH] greek.el Rho for the input method greek-ibycus4)

From: [email-masked] (GNU bug Tracking System)
Date: Fri, 05 May 2023 05:51:02 +0000

Your bug report

#63104: [PATCH] greek.el Rho for the input method greek-ibycus4

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
63104: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=63104
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#63104: [PATCH] greek.el Rho for the input method greek-ibycus4
From: Eli Zaretskii <[email-masked]>
To: [email-masked]
Cc: [email-masked]
Date: Fri, 05 May 2023 08:51:39 +0300
List-Id: <debbugs-submit.debbugs.gnu.org>

> Cc: [email-masked]
> Date: Thu, 27 Apr 2023 10:27:03 +0300
> From: Eli Zaretskii <[email-masked]>
> 
> > From: Lucifuge Rofocale <[email-masked]>
> > Date: Thu, 27 Apr 2023 13:21:23 +0900
> > 
> > Unexpectedly Ῥ (#x1fec GREEK CAPITAL LETTER RHO WITH DASIA) is bound to `R rather than (R
> > 
> > In the input method "greek-ibycus4", ( is meant for the rough breathing, ` is for the grave accent.
> 
> Thanks.  I didn't want to remove the old (and possibly mistaken)
> sequence, so I just added the new one, "(R", on the emacs-29 branch.

No further comments in a week, so I assume the issue is fixed, and I'm
closing this bug.

Subject: [PATCH] greek.el Rho for the input method greek-ibycus4
From: Lucifuge Rofocale <[email-masked]>
To: [email-masked]
Date: Thu, 27 Apr 2023 13:21:23 +0900
List-Id: <debbugs-submit.debbugs.gnu.org>

Unexpectedly Ῥ (#x1fec GREEK CAPITAL LETTER RHO WITH DASIA) is bound to `R
rather than (R

In the input method "greek-ibycus4", ( is meant for the rough breathing, `
is for the grave accent.
diff --git a/lisp/leim/quail/greek.el b/lisp/leim/quail/greek.el
index 107f4131e38..714224040ae 100644
--- a/lisp/leim/quail/greek.el
+++ b/lisp/leim/quail/greek.el
@@ -1115,7 +1115,7 @@ "greek-ibycus4"
  ("`U" ?Ὺ)
  ("'U" ?Ύ)
 
- ("`R" ?Ῥ)
+ ("(R" ?Ῥ)
 
  ("+`" ?῭) ; #x1fed
  ("+'" ?΅) ; #x1fee